Package org.apache.uima.cas.impl

# Class TypeImpl_annot

java.lang.Object
org.apache.uima.cas.impl.TypeImpl
org.apache.uima.cas.impl.TypeImpl_annotBase
org.apache.uima.cas.impl.TypeImpl_annot

All Implemented Interfaces:
  `Comparable<TypeImpl>`, `Iterable<Feature>`, `Type`

public class TypeImpl_annot extends TypeImpl_annotBase
A version of TypeImpl for Annotations and subtypes of Annotations

- ## Field Summary

  ### Fields inherited from class org.apache.uima.cas.impl.TypeImpl

  `isBuiltIn, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isRefType, javaClass, singleton`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypeImpl_annot(String name, TypeSystemImpl tsi, TypeImpl supertype, Class<?> javaClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isAnnotationType()`
  Check if this is an annotation type.

  ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl_annotBase

  `isAnnotationBaseType`

  ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl

  `compareTo, equals, getAppropriateFeatures, getCode, getComponentSlotKind, getComponentType, getFeature, getFeatureByBaseName, getFeatureImpls, getFeatures, getFeaturesAsStream, getFsSpaceReq, getFsSpaceReq, getFsSpaceReq, getJCasClassName, getMergedStaticFeaturesIntroducedByThisType, getName, getNbrOfLongOrDoubleFeatures, getNumberOfFeatures, getShortName, getSuperType, getTypeSystem, hashCode, hashCodeNameLong, hasRefFeature, isAppropriateFeature, isArray, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isPrimitive, isStringOrStringSubtype, isStringSubtype, isTopType, isTypedFsArray, iterator, prettyPrint, prettyPrintWithSubTypes, subsumes, subsumesStrictly, subsumesValue, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.apache.uima.cas.Type

  `subsumes`

- ## Constructor Details

  - ### TypeImpl_annot

    public TypeImpl_annot(String name, TypeSystemImpl tsi, TypeImpl supertype, Class<?> javaClass)

- ## Method Details

  - ### isAnnotationType

    public boolean isAnnotationType()
    Description copied from class: `TypeImpl`
    Check if this is an annotation type.
    Overrides:
      `isAnnotationType` in class `TypeImpl`
    Returns:
      `true`, if `this` is an annotation type or subtype; `false`, else.